package com.chenyang.nse.bussiness.dao.table.core.findcharts;

import com.chenyang.nse.bussiness.dao.BaseDao;
import com.chenyang.nse.bussiness.entity.orm.table.core.findCharts.EchartsFour;
import java.util.List;
import java.util.Map;
import org.hibernate.transform.Transformers;
import org.springframework.stereotype.Repository;

@Repository
public class EchartsFourDao extends BaseDao<EchartsFour, String> {
   public List<Map<String, Object>> findNameByTaskid(String taskid) {
      String sql = "select datafiledNumber,taskName FROM t_core_findcharts_four WHERE taskid='" + taskid + "'";
      List<Map<String, Object>> list = this.getSession().createNativeQuery(sql).setResultTransformer(Transformers.ALIAS_TO_ENTITY_MAP).getResultList();
      return list;
   }

   public List<Map<String, Object>> findNameAll() {
      String sql = "select datafiledNumber,taskName FROM t_core_findcharts_four ";
      List<Map<String, Object>> list = this.getSession().createNativeQuery(sql).setResultTransformer(Transformers.ALIAS_TO_ENTITY_MAP).getResultList();
      return list;
   }
}
